Index: build-tree/ocaml-3.12.1/otherlibs/systhreads/Makefile.nt
===================================================================
--- build-tree.orig/ocaml-3.12.1/otherlibs/systhreads/Makefile.nt	2011-10-09 04:22:51.430629523 +0200
+++ build-tree/ocaml-3.12.1/otherlibs/systhreads/Makefile.nt	2011-10-09 04:22:52.630029546 +0200
@@ -72,6 +72,7 @@
 install:
 	cp dllthreads.dll $(STUBLIBDIR)/dllthreads.dll
 	cp libthreads.$(A) $(LIBDIR)/libthreads.$(A)
+	cd $(LIBDIR); $(RANLIB) libthreads.$(A)
 	mkdir -p $(LIBDIR)/threads
 	cp $(CMIFILES) threads.cma $(LIBDIR)/threads
 	rm -f $(LIBDIR)/threads/stdlib.cma
@@ -79,6 +80,7 @@
 
 installopt:
 	cp libthreadsnat.$(A) $(LIBDIR)/libthreadsnat.$(A)
+	cd $(LIBDIR); $(RANLIB) libthreadsnat.$(A)
 	cp $(THREAD_OBJS:.cmo=.cmx) threads.cmxa threads.$(A) $(LIBDIR)/threads
 	cp threads.cmxs $(LIBDIR)/threads
 
